package org.spbu.bdd.core;

import org.spbu.bdd.core.Bdd.And;
import org.spbu.bdd.core.Bdd.BinOp;
import org.spbu.bdd.core.Bdd.CondNE;
import org.spbu.bdd.core.Bdd.NotEquals;
//import org.spbu.bdd.core.Bdd.LeafAndListToList;

public enum BinaryOps {
	NE(new NotEquals()), AND(new And()), CNE(new CondNE());

	// ---------------------------------

	BinOp binOp;

	private BinaryOps(BinOp binOp) {
		this.binOp = binOp;
	}

	public BinOp getBinOp() {
		return binOp;
	}
}
